Bug 38 - Экран Plymouth покрыт белыми полосами
: Экран Plymouth покрыт белыми полосами
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: High normal
: 2012 Marathon Final
Assigned To: Denis Koryavov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 14:02 MSD by Denis Koryavov
Modified: 2012-04-25 14:18 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Screen (113.13 KB, image/png)
2012-04-11 14:02 MSD, Denis Koryavov
Details
Видео, как должен выглядет экран загрузки (89.21 KB, video/mp4)
2012-04-11 14:04 MSD, Denis Koryavov
Details
splash (462.72 KB, image/png)
2012-04-11 14:56 MSD, Alexander Burmashev
Details
wlp22.png (4.39 KB, image/png)
2012-04-11 15:26 MSD, Anton Sterkhov
Details
splash (7.64 KB, image/png)
2012-04-11 19:41 MSD, Alexander Burmashev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Koryavov 2012-04-11 14:02:19 MSD
Created attachment 15 [details]
Screen

Description of problem:

Прикладываю снимок экрана, каким сейчас выглядит экран Plymouth. Он весь покрыт белыми полосами. Как минимум, такое происходит в VirtualBox. Также прикладываю видео, как должен в идеале выглядет экран загрузки.
Comment 1 Denis Koryavov 2012-04-11 14:04:18 MSD
Created attachment 16 [details]
Видео, как должен выглядет экран загрузки
Comment 2 Alexander Burmashev 2012-04-11 14:05:56 MSD
Хотя я подтверждаю этот баг, не уверен, что видео служит хорошим шаблоном.
Оно записано с живой системы или это абстрактный графический ролик отрендеренный заранее ?
Comment 3 Denis Koryavov 2012-04-11 14:22:51 MSD
Ролик, однако он показывал просто как на живую должен выглядеть фон. В общем, обоина для Plymouth должна выглядеть без искажений.
Comment 4 Alexander Burmashev 2012-04-11 14:56:07 MSD
Created attachment 17 [details]
splash
Comment 5 Alexander Burmashev 2012-04-11 14:56:59 MSD
Текст не доехал, краткое содержание )
Баг проявляется с конкретным цветом, пока не очень понятно почему.
Есть ли возможность поменять на немного другой ? Например вот в аттаче не бажный от 2010.
Comment 6 Anton Sterkhov 2012-04-11 15:26:13 MSD
Created attachment 18 [details]
wlp22.png

Прилагаю картинку wlp22.png, попробуйте использовать ее.
Comment 7 Alexander Burmashev 2012-04-11 19:41:34 MSD
Created attachment 19 [details]
splash
Comment 8 Alexander Burmashev 2012-04-11 19:42:32 MSD
Этот не помог.
В итоге взял wlp.png, открыл kolourpaint и просто пересейвил в 256 ( что и было выбрано по дефолту ). Колорпейнт предупредил, что эффект прозрачности будет удален.
Полосы на бэкаграунде пропали, остались на анимации ( но картинки анимации я и не менял )

Картинка
http://bugs.rosalinux.ru/attachment.cgi?id=19

И как быть - посмотрите что поменять и все картинки смените или мне все пнгшки пересейвить из колорпейнта ?
Comment 9 Denis Koryavov 2012-04-11 21:12:52 MSD
Антон, помоги пожалуйста.
Comment 10 Alexander Burmashev 2012-04-17 16:49:03 MSD
Смена цвета фона с 204 204 204 на 190 190 190 решает проблему при моих тестах
Comment 11 Alexander Burmashev 2012-04-19 23:35:27 MSD
i can confirm that new package by Alex Kazancev fixes this issue. It looks perfect in Vmware and on real hardware.
Comment 12 Alexander Burmashev 2012-04-25 14:18:23 MSD
seem to be fixed, i close the bug, feel free to open it is the problem persists.